Page MenuHome

2.8 UI: Status Bar Design
Closed, ResolvedPublic

Description

In Blender 2.8, we have gotten rid of the Info Editor (Space Info), which previously was used, among other things, as a way to display stats and notifications. These things need a new home. Additionally, we want to have a place to communicate to the user which hotkeys apply to the current context. Previously, we used the header for this, although it was limited to certain modal tools.

For Blender 2.8, we will add a new area for all of these things: The Status Bar.

This new area lives on the bottom of the screen, and has three main areas: Input info, Stats & Notifications:

This gives an idea of that we want to build:

Below are some examples of the Status Bar in different situations. We would like to use it for all Editors and for modal operators too, such as Knife, which has additional modal keys:

To make it predicable, mouse buttons need to stay fixed in place, so there's a spatial association to the mouse buttons. Other relevant modal keys can be displayed after the mouse buttons, as in the above example. Here we can use icon-like roundrects around the modifier keys to make them stand out from the text.

Example of consistent alignment:

Details

Differential Revisions
D3506: Show mouse button keymap in the status bar
Type
Design

Event Timeline

William Reynish (billreynish) lowered the priority of this task from Needs Triage by Developer to Normal.Apr 27 2018, 1:31 PM
William Reynish (billreynish) updated the task description. (Show Details)

I'm not sure this question belongs here but are there any plans for upgrading the Stats info? Such as UV count, Vertex split count, etc? As a game dev that would be a welcome addition. Thanks

I'm not sure this question belongs here but are there any plans for upgrading the Stats info? Such as UV count, Vertex split count, etc? As a game dev that would be a welcome addition. Thanks

For the time being stats will be ported as they are, in order to get everything working first. But not being limited by the header anymore there could be improvements or even allow add-ons to expand them.

Perhaps as a toggleable half - transparent overlay, not to eat up the interface for another 30 pixels?

Maybe an option to make it appear when the mouse cursor is near bottom?

Really like the whole direction this is taking.
One suggestion if I may: If feasible make progress bars bigger, possibly filling the whole available width.
Especially for blocking actions like rendering, or baking simulations, while few other info needs to be displayed.
Or optionally make the progress bar a background thing over which other icons and info are overlayed.

Dalai Felinto (dfelinto) closed this task as Resolved.May 7 2018, 9:27 AM

I would love to have option to make it transparent like you did with the top panel and hide it entirely if I so choose. I can understand this is useful for new users, but let us pro's make it hidden.

William Reynish (billreynish) renamed this task from Status Bar Design to 2.8 UI: Status Bar Design.Jun 11 2018, 1:00 PM

I would like to see an option to hide the status bar by dragging the edge, like top bar, since its pretty much only informative, is unnecessary for experienced users, hiding it could free up precious screen space.

It will be possible to hide it.

Right now mouse move icons looks like radio or Wi-Fi:

Maybe it is better to add arrows: